Receive a work order shipment
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/shipments/{shipmentId}/receive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quantity_received": 123,
"quantity_damaged": 123,
"notes": "<string>",
"received_at": "2023-12-25"
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/shipments/{shipmentId}/receive"
payload = {
"quantity_received": 123,
"quantity_damaged": 123,
"notes": "<string>",
"received_at": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quantity_received: 123,
quantity_damaged: 123,
notes: '<string>',
received_at: '2023-12-25'
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/shipments/{shipmentId}/receive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"work_order_id": 123,
"quantity_shipped": 123,
"carrier": "<string>",
"tracking_number": "<string>",
"status": "<string>",
"ship_notes": "<string>",
"shipped_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Work Order Comments & Shipments
Receive a work order shipment
Record receipt of a previously created work order shipment. Returns a 422 if the shipment has already been received.
POST
/
work-orders
/
{workOrderId}
/
shipments
/
{shipmentId}
/
receive
Receive a work order shipment
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
ID of the work order.
ID of the shipment.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I